/* midi_methods.cpp

   C wrapper for Windows MIDI interface, callable by Java programs
*/

#include "StubPreamble.h"
#include "InputFile.h"
#include "OutputFile.h"

extern "C" __declspec(dllexport) long InputFile_open(struct HInputFile* myFile)
{
	FILE* fp = fopen( (char*)unhand(myFile)->path, "rb" );
	unhand( myFile )->fd = (long)fp;
	if ( fp == NULL ) {
		return( FALSE );
	} else {
		return( TRUE );
	}
}


extern "C" __declspec(dllexport) void InputFile_close(struct HInputFile* myFile)
{
	fclose( (FILE*)unhand( myFile )->fd );
}


